.contacts {
    margin-top: rem(24);
    margin-bottom: rem(50);

    &__main {
        border: 1px solid #F0F0F0;
    }

    &__city {
        height: rem(65);
        display: flex;
        align-items: center;
        padding: rem(16) rem(22);
        border-bottom: 1px solid #F0F0F0;
    }

    &__content {
        padding: rem(35) rem(20);
        display: grid;
        grid-row-gap: rem(20);
        grid-template-columns: 1fr;
    }

    &__footer {
        padding: 0 rem(20) rem(22) rem(20);

        .btn {
            width: 100%;
        }
    }

    &__map {
        height: rem(400);
        position: relative;

        canvas {
            -webkit-filter: grayscale(100%);
            filter: grayscale(100%);
        }

    }

    &__source {
        height: 100%;
    }

    @include media-breakpoint-up(md) {

        &__city {
            height: rem(88);
            padding-left: rem(78);
            display: flex;
            align-items: center;
        }

        &__content {
            padding: rem(43) rem(48) rem(43) rem(55);
            grid-row-gap: rem(28);
            grid-column-gap: rem(40);
            grid-template-columns: auto rem(330);
        }

        &__footer {
            padding: 0 rem(56) rem(54) rem(56);

            .btn {
                width: auto;
            }
        }

        &__map {
            height: rem(576);
        }
    }

    @include media-breakpoint-up(xl) {
        margin-bottom: rem(90);
        margin-top: rem(30);
        display: grid;
        grid-template-columns: rem(634) auto;

        &__map {
            height: auto;
        }

        &__content {
            padding-top: rem(36);
            padding-bottom: rem(32);
            grid-row-gap: rem(25);
            grid-template-columns: 1fr;
        }

        &__city {
            height: rem(100);
        }
    }
}

.contacts-item {
    color: $black;
    font-weight: 500;
    line-height: 125%;
    font-size: rem(12);
    display: flex;
    align-items: center;

    &__icon {
        display: block;
        width: rem(42);
        height: rem(42);
        border-radius: 50%;
        border: 1px solid #E6E6E6;
        flex-shrink: 0;
    }

    &__message {
        fill: $purple;
        color: $purple;
        text-decoration: none;
        display: inline-flex;
        align-items: center;

        i {
            font-size: 0;
            line-height: 0;
            height: rem(13);
            margin-right: rem(6);
            display: inline-block;
        }
    }

    &__content {
        padding-left: rem(14);
    }

    &__email {
        color: $black;
        text-decoration: underline;

        &:hover {
            color: $black;
            text-decoration: none;
        }
    }

    &__phones {
        margin-bottom: rem(4);
    }

    &__phone {
        color: $black;
        letter-spacing: 1.2px;
        text-decoration: underline;

        &:hover {
            color: $black;
            text-decoration: none;
        }
    }

    @include media-breakpoint-up(md) {
        font-size: rem(14);
        line-height: rem(26);

        &:first-child {
            grid-column: span 2;
        }

        &__icon {
            width: rem(56);
            height: rem(56);
        }

        &__content {
            padding-left: rem(24);
        }

        &__phones {
            margin-bottom: rem(2);
            display: flex;
            align-items: center;

            &__item {
                display: flex;
                align-items: center;

                &:not(:last-child) {

                    &:after {
                        width: 1px;
                        height: 16px;
                        content: '';
                        display: block;
                        margin: 0 rem(16);
                        background: #E6E6E6;
                    }
                }
            }
        }
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(16);
        line-height: rem(26);

        &:first-child {
            grid-column: span 1;
        }
    }
}

.contacts-city {
    color: $dark;
    font-weight: 500;
    font-size: rem(12);
    white-space: nowrap;
    display: flex;
    flex-wrap: wrap;
    align-items: center;

    &__label {
        margin-right: rem(6);
    }

    &__switcher {
        color: $purple;
        font-weight: 600;
        cursor: pointer;
        position: relative;
        padding-right: rem(13);

        &:before {
            right: 0;
            top: calc(50% - 1px);
            z-index: 5;
            width: 8px;
            height: 4px;
            content: '';
            display: block;
            position: absolute;
            background: url("../img/angle_down.svg") 50% 50% no-repeat;
            background-size: cover;
        }
    }

    @include media-breakpoint-up(md) {
        font-size: rem(18);

        &__switcher {
            padding-right: rem(24);

            &:before {
                width: 14px;
                height: 8px;
                top: calc(50% - 4px);
            }
        }
    }
}

.contact-info {

    &__top {
        margin-bottom: rem(34);
    }

    &__header {
        margin-bottom: rem(20);
    }

    &__title {
        margin: 0;
    }

    &__subtitle {
        color: $gray-400;
        font-weight: 500;
        line-height: 135%;
        font-size: rem(14);
        margin-bottom: rem(20);

        &--xl {
            display: none;
        }
    }

    &__buttons {
        display: grid;
        grid-row-gap: rem(15);
    }

    &__switcher {
        margin-bottom: rem(45);
    }

    &__button {
        width: 100%;
        fill: $black;
        color: $dark;
        border: none;
        outline: none;
        height: rem(60);
        cursor: pointer;
        font-weight: 500;
        line-height: 125%;
        font-size: rem(11);
        background: #F5F5F3;
        letter-spacing: 1.2px;
        text-transform: uppercase;
        display: flex;
        align-items: center;
        justify-content: center;
        transition: .25s;

        i {
            font-size: 0;
            line-height: 0;
            width: rem(28);
            flex-shrink: 0;
            margin-right: rem(16);
        }

        &:not(:last-child) {
            margin-bottom: rem(10);
        }

        &:hover,
        &.active {
            fill: $white;
            color: $white;
            background: $purple;
            transition: .25s;
        }

    }

    &__route {
        margin-bottom: rem(24);
    }

    @include media-breakpoint-up(md) {

        &__subtitle {
            text-align: center;
            font-size: rem(16);
            margin-bottom: rem(24);
        }

        &__buttons {
            display: flex;

            &__item {

                &:not(:last-child) {
                    margin: 0 rem(14) 0 0;
                }
            }
        }

        &__button {
            font-size: rem(12);
        }

        &__switcher {
            display: flex;
            align-items: center;
            justify-content: space-between;
        }

        &__button {
            height: rem(80);
            width: calc(50% - 6px);

            &:not(:last-child) {
                margin-bottom: 0;
            }
        }

        &__route {
            margin-bottom: rem(36);
        }
    }

    @include media-breakpoint-up(xl) {

        &__top {
            margin-bottom: rem(30);
            display: flex;
            align-items: center;
            justify-content: space-between;
        }

        &__header {
            margin-bottom: 0;
        }

        &__title {
            margin-bottom: rem(4);
        }


        &__subtitle {
            text-align: left;
            font-size: rem(18);
            margin-bottom: 0;

            &--sm {
                display: none;
            }

            &--xl {
                display: block;
            }
        }

        &__buttons {

            &__item {
                min-width: rem(230);
            }
        }
    }

    &__switcher {
        margin-bottom: rem(66);
        justify-content: flex-start;
    }

    &__button {
        width: rem(260);

        i {
            width: rem(32);
            margin-right: rem(18);
        }

        &:not(:last-child) {
            margin-right: rem(20);
        }
    }
}

.contact-route {
    font-weight: 500;
    line-height: 135%;
    font-size: rem(12);
    padding-bottom: rem(30);
    position: relative;
    display: grid;
    grid-row-gap: rem(30);
    grid-template-columns: 1fr;

    &:before {
        top: 30px;
        left: 27px;
        bottom: 30px;
        width: 1px;
        z-index: 1;
        content: '';
        display: block;
        position: absolute;
        background: $gray-200;
    }

    &__item {
        display: flex;
        align-items: flex-start;
    }

    &__step {
        width: 54px;
        height: 54px;
        color: $white;
        z-index: 20;
        font-weight: 600;
        line-height: 135%;
        position: relative;
        font-size: rem(14);
        border-radius: 50%;
        background: $purple;
        margin-right: rem(28);
        display: flex;
        flex-shrink: 0;
        align-items: center;
        justify-content: center;

        i {
            height: 11px;
            fill: $white;
            font-size: 0;
            line-height: 0;
            flex-shrink: 0;
            display: inline-block;
        }

        &--last {
            left: 0;
            bottom: 0;
            position: absolute;
        }
    }

    &__title {
        color: $purple;
        font-weight: 600;
        line-height: 135%;
        font-size: rem(16);
        margin-bottom: rem(8);
    }

    &__text {
        min-height: rem(50);
    }

    @include media-breakpoint-up(md) {
        font-size: rem(14);
        grid-row-gap: rem(36);

        &:before {
            left: rem(30);
        }

        &__step {
            width: rem(56);
            height: rem(56);
            font-size: rem(16);
        }
    }

    @include media-breakpoint-up(lg) {
        grid-column-gap: rem(30);
        grid-template-columns: 1fr 1fr 1fr;

        &:before {
            bottom: 0;
            top: 23px;
            right: 30px;
            width: auto;
            height: 1px;
        }

        &__item {
            display: block;
        }

        &__step {
            width: rem(46);
            height: rem(46);
            margin: 0 0 rem(30) 0;

            &--last {
                top: 0;
                right: 0;
                left: auto;
                bottom: auto;
            }
        }
    }

    @include media-breakpoint-up(xl) {
        margin-bottom: rem(64);
        grid-column-gap: rem(30);

        &__step {
            margin-bottom: rem(38);
        }
    }
}

.contact-media {
    display: grid;
    grid-row-gap: rem(12);
    grid-column-gap: rem(12);
    grid-template-columns: 1fr 1fr;

    &__item {
        display: block;
    }

    @include media-breakpoint-up(md) {
        grid-row-gap: rem(30);
        grid-column-gap: rem(30);
    }

    @include media-breakpoint-up(xl) {
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }
}

.ymaps-2-1-79-ground-pane {
    -webkit-filter: grayscale(100%);
    filter: grayscale(100%);
}

.plot-route {
    display: none;

    @include media-breakpoint-up(md) {
        top: 0;
        right: 0;
        z-index: 50;
        outline: none;
        fill: $purple;
        color: $purple;
        height: rem(62);
        font-weight: 500;
        line-height: 125%;
        font-size: rem(10);
        position: absolute;
        background: $white;
        letter-spacing: 1px;
        white-space: nowrap;
        text-decoration: none;
        padding: rem(8) rem(32);
        text-transform: uppercase;
        border: 1px solid $gray-200;
        transition: .25s;
        display: flex;
        align-items: center;
        justify-content: center;

        i {
            font-size: 0;
            line-height: 0;
            height: rem(14);
            flex-shrink: 0;
            display: inline-block;
            margin-right: rem(14);
        }

        &:hover {
            fill: $white;
            color: $white;
            background: $purple;
            border-color: $purple;
            text-decoration: none;
            transition: .25s;
        }
    }
}

@include media-breakpoint-up(md) {}

@include media-breakpoint-up(lg) {}

@include media-breakpoint-up(xl) {}

@include media-breakpoint-up(xxl) {}

